import { NamedUnit } from "../../NamedUnit.js";
import { UnitMatrix } from "../../UnitMatrix.js";

/**
 * SI derived unit of magnetic flux density. 1 T = 1 Wb / m^2 = 1 kg / (s^2·A).
 * @type {NamedUnit}
 */
export const TESLA = new NamedUnit(
    'Tesla',
    'T',
    'SI derived unit of magnetic flux density. 1 T = 1 Wb / m^2.',
    new UnitMatrix().set(0, 1, -2, -1, 0, 0, 0)
);
